%define upstream_name    Image-SubImageFind
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl extension for locating a sub-image within an image
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=93989
Patch1:         image_subimagefind_makefile.patch

BuildRequires: libfftw-devel
BuildRequires: libmagick-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Perl module to aid in locating a sub-image within an image.

%prep
#setup -q -n %{upstream_name}-%{upstream_version}
%setup -q -n %{upstream_name}
%patch1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build


%install
%make_install

chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Image/SubImageFind/SubImageFind.so

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Sep 12 2017 bb2 <bb2> - 0.30.0-9pclos2017
- rebuild against updates

* Mon Sep 11 2017 bb2 <bb2> - 0.30.0-8pclos2017
- rebuild against updates

* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-7pclos2017
- rebuild against updates

